<template>
  <v-app>
    <v-snackbar
      v-model="showSnackbar"
      :top=true
      :timeout="timeout"
    >
      {{ snackbarText }}
    <template v-slot:action="{ attrs }">
      <v-btn
        color="blue"
        text
        v-bind="attrs"
        @click="hideSnackBar"
      >
        Close
      </v-btn>
    </template>
    </v-snackbar>
    <Navbar
      v-on:signOut="signOut"
    >
    </Navbar>
    <Sidebar v-if="user !== null"/>
    <v-content>
      <router-view></router-view>
    </v-content>
    <v-overlay v-model="overlay">
      <v-progress-circular indeterminate size="64"></v-progress-circular>
    </v-overlay>
  </v-app>
</template>

<script>
import { mapGetters } from 'vuex';
import { signOut } from '@/firebase/db';
import store from '@/store/index';
import Navbar from '@/components/AppBar.vue';
import Sidebar from '@/components/Navigator.vue';

export default {
  name: 'App',

  components: {
    Navbar,
    Sidebar,
  },

  data: () => ({
    drawer: false,
    login: true,
    management: false,
    temp: false,
    timeout: 5000,
    //
  }),
  computed: {
    ...mapGetters({
      overlay: 'getOverlay',
      snackbarText: 'getSnackbarText',
      showSnackbar: 'getShowSnackbar',
      user: 'getUser',
    }),
  },
  watch: {
  },
  methods: {
    toggleDrawer() {
      this.drawer = !this.drawer;
      console.log(`Received toggleDrawer event ${this.drawer}`);
    },
    setDrawer(value) {
      console.log(`Received setDrawer ${value}. Current drawer value ${this.drawer}`);
      this.drawer = value;
    },
    hideSnackBar() {
      store.dispatch('setShowSnackbar', false);
    },
    signOut() {
      console.log('logout....');
      signOut();
      // this.$store.dispatch('signOut');
    },
  },
};
</script>
